> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an incident

> Get an incident by ID



## OpenAPI

````yaml get /uptime/incidents/{incidentId}
openapi: 3.0.0
info:
  title: Phare
  description: >-
    Learn how to use the phare.io API. Most of the things that can be done on
    the web platform can also be achieved with the API documented on this page.
  termsOfService: https://phare.io/legal/terms-of-service
  contact:
    name: Phare
    email: support@phare.io
  version: '1.0'
servers:
  - url: https://api.phare.io
security:
  - BearerAuth: []
tags:
  - name: Users
    description: Users
  - name: Projects
    description: Projects
  - name: Alert Rules
    description: Alert Rules
  - name: Monitors
    description: Monitors
  - name: Incidents
    description: Incidents
  - name: Status Pages
    description: Status Pages
  - name: Reports
    description: Reports
  - name: Platform
    description: Platform
  - name: Integrations
    description: Integrations
paths:
  /uptime/incidents/{incidentId}:
    get:
      tags:
        - Incidents
      summary: Get an incident
      description: Get an incident by ID
      operationId: getUptimeIncident
      parameters:
        - name: incidentId
          in: path
          description: ID of the incident to show
          required: true
          schema:
            type: integer
        - $ref: '#/components/parameters/header_project_id'
        - $ref: '#/components/parameters/header_project_slug'
      responses:
        '200':
          description: Success, incident retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: 1
                  project_id:
                    description: Parent project ID
                    type: integer
                    example: 1
                  type:
                    $ref: '#/components/schemas/Uptime.Incident.TypeEnum'
                  slug:
                    description: Incident unique slug name
                    type: string
                    example: APP-123
                  state:
                    $ref: '#/components/schemas/Uptime.Incident.StateEnum'
                  status:
                    $ref: '#/components/schemas/Uptime.Incident.StatusEnum'
                  impact:
                    $ref: '#/components/schemas/Uptime.Incident.ImpactEnum'
                  title:
                    description: Incident title
                    type: string
                    example: Service is not working as expected
                    maximum: 250
                    minimum: 1
                  description:
                    description: Description of the error that caused the incident
                    type: string
                    example: 'The server answered with an unexpected status code: 503.'
                    maximum: 2000
                    minimum: 1
                  exclude_from_downtime:
                    description: Flag to exclude the incident from downtime calculations
                    type: boolean
                    example: false
                  incident_at:
                    description: Date of incident confirmation
                    type: string
                    format: date-time
                    nullable: true
                  recovery_at:
                    description: Date of incident recovery
                    type: string
                    format: date-time
                    nullable: true
                  monitors:
                    description: List of monitors linked to the incident
                    type: array
                    items:
                      type: integer
                    example:
                      - 1
                      - 2
                      - 3
                    maxItems: 100
                    minItems: 1
                  created_at:
                    description: Date of creation for the entity
                    type: string
                    format: date-time
                  updated_at:
                    description: Date of last update for the entity
                    type: string
                    format: date-time
                required:
                  - impact
                  - title
                  - exclude_from_downtime
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    header_project_id:
      name: X-Phare-Project-Id
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: integer
        example: 1
    header_project_slug:
      name: X-Phare-Project-Slug
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: string
        example: luminous-guiding-tower
  schemas:
    Uptime.Incident.TypeEnum:
      type: string
      enum:
        - monitor
        - manual
    Uptime.Incident.StateEnum:
      type: string
      enum:
        - unknown
        - investigating
        - identified
        - monitoring
        - resolved
    Uptime.Incident.StatusEnum:
      type: string
      enum:
        - ongoing
        - recovering
        - recovered
    Uptime.Incident.ImpactEnum:
      type: string
      enum:
        - unknown
        - operational
        - degraded_performance
        - partial_outage
        - major_outage
        - maintenance
  responses:
    '401':
      description: Error, access unauthorized
      content:
        application/json:
          schema:
            description: Access unauthorized error schema
            properties:
              message:
                type: string
                example: Unauthorized
            type: object
    '403':
      description: Error, access forbidden
      content:
        application/json:
          schema:
            description: Access forbidden error schema
            properties:
              message:
                type: string
                example: >-
                  The platform:write permission is required to perform this
                  action.
            type: object
    '404':
      description: Error, resource not found
      content:
        application/json:
          schema:
            description: Not found error schema
            properties:
              message:
                type: string
                example: Resource not found
            type: object
  securitySchemes:
    BearerAuth:
      type: http
      description: >-
        Use a user token to access authenticated routes. The token must be
        specified in the Authorization HTTP header with the following format
        'Authorization: Bearer <token>'.
      scheme: bearer

````